# Store

## Module webhooks

* [`store.order.cancelled`](#store.order.cancelled)
* [`store.order.created`](#store.order.created)
* [`store.order.fulfilled`](#store.order.fulfilled)
* [`store.order.paid`](#store.order.paid)
* [`store.order.refunded`](#store.order.refunded)

{% tabs %}
{% tab title="Payload Format" %}

| Name              |  Type  | Description                                                                                                                        |
| ----------------- | :----: | ---------------------------------------------------------------------------------------------------------------------------------- |
| **id**            | String | Order id. Format: UUID.                                                                                                            |
| **userId**        | String | User id. Format: UUID.                                                                                                             |
| **amount**        | String | Order amount. Format: Number.                                                                                                      |
| **assetCode**     | String | Order currency.                                                                                                                    |
| **trackingId**    | String | Tracking id.                                                                                                                       |
| **paidAmount**    | String | Order current paid amount. Format: Number.                                                                                         |
| **orderStatus**   | String | Order status. Enum: \['**canceled**', '**draft**', '**fulfilled**', '**unfulfilled**'].                                            |
| **paymentStatus** | String | Payment status. Enum: \['**fully\_paid**', '**fully\_refunded**', '**partially\_paid**', '**partially\_refunded**', '**unpaid**']. |
| **metadata**      | Object | Metadata.                                                                                                                          |
| **reference**     | String | Reference code.                                                                                                                    |
| **canceledAt**    |  Date  | Date of cancelation.                                                                                                               |
| **paidAt**        |  Date  | Date of payment.                                                                                                                   |
| **fulfilledAt**   |  Date  | Date of fulfilment.                                                                                                                |
| **netAmount**     | String | Value of order products (no fees or shipping). Format: Number.                                                                     |
| **walletId**      | String | Wallet id. Format: UUID.                                                                                                           |
| {% endtab %}      |        |                                                                                                                                    |

{% tab title="Payload example" %}

```javascript
{
  "id": "3a3b10e1-80ed-4f2b-b60a-59e0aa0764e4",
  "userId": null,
  "bonus": "0.00000000",
  "amount": "20.00000000",
  "assetCode": "4uh8xu8gg53",
  "bonusAssetCode": null,
  "trackingId": null,
  "paidAmount": "5.00000000",
  "orderStatus": "fulfilled",
  "paymentStatus": "partially_refunded",
  "metadata": {
    "refundAmount": "15.00000000",
    "refundReason": { "code": "foobar" }
  },
  "reference": "AYJZAWH76X",
  "customData": {},
  "canceledAt": null,
  "paidAt": null,
  "fulfilledAt": null,
  "createdAt": "2024-10-28T13:52:23.900Z",
  "updatedAt": "2024-10-28T13:52:23.900Z",
  "netAmount": "79.00000000",
  "walletId": "9109f615-eeb1-443a-9141-455f5e22b468"
}
```

{% endtab %}
{% endtabs %}

### `store.order.cancelled`

Cancelation of an `order` webhook event.

### `store.order.created`

Creation of an `order` webhook event.

### `store.order.fulfilled`

Fulfilment of an `order` webhook event.

### `store.order.paid`

Payment of an `order` webhook event.

### `store.order.refunded`

Refund of an `order` webhook event.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.slyk.io/slyk/reference/webhooks/store.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
